<? $api_conf = Zend_Registry::get('api_config'); ?>
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=<?= $api_conf['googleMaps'] ?>&sensor=false"></script>
<? $this->headScript()->appendFile('/js/r-popup.js'); ?>
<style type="text/css">
#gMap-wrapper {
	margin: 30px 45px 10px 45px;
	border: 1px solid #333;
}
#gMap-wrapper div.options {
	padding: 15px 20px;
	background: #333;
	float: none;
}
#gMap-wrapper div.options label {
	color: #fff;
	font-weight: bold;
	margin-right: 60px;
	vertical-align: middle;
}
#gMap-wrapper div.options label span {
	vertical-align: middle;
}
#gMap-wrapper div.options label input {
	vertical-align: middle;
}
#gMap {
	height: 350px;
}
#fill_contact_info { display: block; margin-bottom: 10px; font-size: 14px; }

#change_phone{margin-left:8px;margin-top: -2px;cursor: pointer;opacity: 1;}
button#change_phone[disabled='disabled']
{
	opacity: 0.5;
	cursor: default;
}
.form  .phon-number div.error
{
	margin-left: 160px;
	margin-top:5px;
}
.inner .invalid {
	background: url("/img/internal/icon_error.png") no-repeat scroll 99% 2px #FFF6F0 !important ;
	padding-right: 5px ;
}
.inner select.invalid
{
	background-position: 88% 3px !important;
}
</style>

<fieldset>
	<legend><?= __('pv2_section_contact_information') ?></legend>
	<div class="body">
		
		<? $user = Model_Users::getCurrent(); ?>
		<? if ($user->isAgency()): ?>
			<a href="<?= $this->getLink('fill-contact-info') ?>" id="fill_contact_info"><?= __('fill_contact_info') ?></a>
		<? endif; ?>
		
		<fieldset>
			<legend><?= __('pv2_section_contact') ?></legend>

			<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

			<div class="body">
				<div class="inner long">
					<label for="phone_prefix"><?= __('country_call_code') ?><b>*</b></label>
						<? $countries = new Model_Countries();?>
						<select name="phone_prefix" id="phone_prefix" style="width:228px">
							<option value ="">-------</option>
							<? foreach($this->phone_countries as $country):?>
							<option value="<?= $country->id ?>-<?= $country->phone_prefix ?>-<?= $country->ndd_prefix ?>" <?= (isset($this->phone_prefix_id) && $country->id == $this->phone_prefix_id) ? 'selected="selected"' : '' ?>><?= $country->title ?> (+<?= $country->phone_prefix ?>) </option>
							<? endforeach; ?>
						</select>
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<label for="phone"><?= __('pv2_label_phone_number') ?><b>*</b></label>
					<input id="phone" type="text" class="txt" name="phone_number" value="<?= $this->data['phone_number'] ?>" size="40" />
					<button name="change_phone" <?= !isset($this->invalid_phone) ? 'disabled="disabled"' : ''?>  type="button" class="btn-small" id="change_phone" /><?= __('Change_Phone') ?></button>
					<div id="phone_container" style="position: relative;top: 0;left: 0;"></div>
					<input type="hidden" id="old_phone_prefix" value="<?= isset($this->invalid_prefix) ? $this->invalid_prefix : $this->phone_prefix_id ?>" />
					<input type="hidden" id="old_phone" value="<?= isset($this->invalid_phone) ? $this->invalid_phone : $this->data['phone_number'] ?>" />
					<div class="clear"></div>
				</div>
				
				<div class="inner long vindent">
					<label><?= __('pv2_label_phone_instructions') ?></label>
					<dl class="options">
						<? foreach ( $this->defines['phone_instructions'] as $id => $label ): ?>
						<dt>
							<label for="phone-instr-<?= $id ?>"><?= $label ?></label><br/>
							<input id="phone-instr-<?= $id ?>" type="radio" name="phone_instr" value="<?= $id ?>"<?= $this->data['phone_instr'] == $id ? ' checked="checked"' : '' ?> />
						</dt>
						<? endforeach ?>
						<dt>
							<label for="no-withheld"><?= __('pv2_label_no_withheld_numbers') ?></label><br/>
							<input id="no-withheld" type="checkbox" name="phone_instr_no_withheld" value="1"<?= $this->data['phone_instr_no_withheld'] ? ' checked="checked"' : '' ?> />
						</dt>

						<dt style="text-align: left">
							<label for="instr-other"><?= __('pv2_label_phone_instr_other') ?></label><br/>
							<input id="instr-other" type="text" class="txt" name="phone_instr_other" value="<?= $this->data['phone_instr_other'] ?>" />
						</dt>
					</dl>

					<div class="clear"></div>
				</div>
			</div>
		</fieldset>

		<fieldset class="vindent">
			<legend><?= __('pv2_section_web') ?></legend>
			<div class="body">
				<div class="inner long">
					<label for="email"><?= __('pv2_label_email_address') ?> <b>*</b></label>
					<input id="email" type="text" class="txt" name="email" value="<?= $this->data['email'] ?>" size="40" />
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<label for="website"><?= __('pv2_label_website_url') ?></label>
					<input id="website" type="text" class="txt" name="website" value="<?= $this->data['website'] ?>" size="40" />
					<div class="clear"></div>
				</div>
			</div>
		</fieldset>

		<fieldset class="vindent">
			<legend><?= __('pv2_section_address_details') ?></legend>
			<div class="body">
				<div class="inner long">
					<label for="club-name"><?= __('pv2_label_club_name') ?></label>
					<input id="club-name" type="text" class="txt" name="club_name" value="<?= $this->data['club_name'] ?>" size="40" />
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<label for="street"><?= __('pv2_label_street_n') ?></label>
					<input id="street" type="text" class="txt" name="street" value="<?= $this->data['street'] ?>" size="40" onblur="DisplayAddress()" />
					<input style="margin-left: 10px" id="street_no" type="text" class="txt" name="street_no" value="<?= $this->data['street_no'] ?>" size="5" onblur="DisplayAddress()" />
					<div class="clear"></div>
				</div>

				<?
		/*			$cities_tab = $this->profile->getWorkingCities();

                   
				if ( $cities_tab['incall_type'] ): ?>
				<div class="inner long">
					<label><?= __('pv2_label_city') ?></label>
					<div id="city" class="fleft" style="margin-right: 50px">
						<span class="strong"><?= Cubix_Geography_Cities::getTitleById($cities_tab['city_id']) ?></span><br/>
						<a href="#" onclick="return Cities.change(this)">change</a>
					</div>
					<span class="tip" title="This is the city which you already entered when you added your incall location."></span>
					<div class="clear"></div>
				</div>
				<div class="inner long">
					<label><?= __('pv2_label_zip_code') ?></label>
					<div id="zip" class="fleft" style="margin-right: 50px">
						<span class="strong"><?= $cities_tab['zip'] ?></span><br/>
						<a href="#" onclick="return ZipCode.change(this)">change</a>
					</div>
					<span class="tip" title="This is the ZIP code you already entered when you added your incall working location."></span>
					<div class="clear"></div>
				</div>
				<? endif */ ?>

			</div>
		</fieldset>
		<? /*
		<div id="gMap-wrapper">
			<div class="options">
				<label for="gmaps-show">
					<input onchange="showHide(this)" id="gmaps-show" type="checkbox" name="display_address" value="1"<?= $this->data['display_address'] ? ' checked="checked"' : '' ?> />
					<span><?= $this->t('display_address_on_website') ?></span>
				</label>
			</div>
			<div style="display: <?= $this->data['display_address'] ? 'block' : 'none' ?>">
				<div id="gMap">

				</div>
			</div>
		</div>
		*/ ?>
	</div>
</fieldset>

<script type="text/javascript">
	var map, geocoder, gmap_ready = false, current_marker, overlay;

	var googleMapsInit = function(containerId) {
		geocoder = new google.maps.Geocoder();
		var myOptions = {
			zoom: 15,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		}
		
		map = new google.maps.Map(document.getElementById(containerId), myOptions);

		gmap_ready = true;		
	};

	var googleMapsShowAddress = function (address) {
		if ( ! geocoder ) return false;

		geocoder.geocode(
			{'address': address},
			function(results, status) {
				if (status == google.maps.GeocoderStatus.OK) {
					if ( current_marker ) current_marker.remove();
					
					map.setCenter(results[0].geometry.location);
					var marker = new google.maps.Marker({
						map: map,
						position: results[0].geometry.location
					});
					
					if ( $('logocontrol') ) $('logocontrol').destroy();
					if ( $$('.terms-of-use-link').length ) $$('.terms-of-use-link').getParent().destroy();
				}
				else {
					alert(address + " <?= $this->t('not_found') ?>");
					$('#gMap').html(address + ' not found').css('height', '30px').css('padding-top','18px');
				}
			}
		);
	};

	var googleMapsShowHide = function (flag) {
		$('gMap').getParent().setStyle('display', flag ? 'block' : 'none');
	};

	var showHide = function (chk) {
		chk = $(chk);
		if ( chk.get('checked') ) {
			googleMapsShowHide(true);
			if ( ! gmap_ready ) { googleMapsInit('gMap'); DisplayAddress(); }
		}
		else {
			googleMapsShowHide(false);
		}
	};

	window.addEvent('domready', function () {
		/*if ( $('gmaps-show').get('checked') ) {
			googleMapsInit('gMap');
            DisplayAddress();
		}*/
		ChangePhone();
		$$('#phone,#phone_prefix').addEvents({'change':ChangeBtnStatus,'keyup':ChangeBtnStatus});
	});

	var Cities = {
		el: null,
		initial: null,
		target: null,
		city: null,

		change: function (el) {
			el = $(el);

			var t = this.target = el.getParent('div');
			this.initial = t.clone();

			t.empty();
			/* >>>>>>>>>>>>>>>>> */
			var select = this.city = new Element('select', {}).inject(t);

        
//           alert($('country').getSelected().get('value'));
            caountryid = $('country').getSelected().get('value');

			fetchCities(select, caountryid);

			el.setStyle('display', 'none');

			new Element('br').inject(t);

			var btnUpdate = new Element('a', {
				href: '#',
				html: 'update',
				events: { click: Cities.update.bind(this) }
			}).inject(t);

			new Element('span', {
				html: '|',
				styles: { margin: '0 5px' }
			}).inject(t);

			var btnCancel = new Element('a', {
				href: '#',
				html: 'cancel',
				events: { click: Cities.cancel.bind(this) }
			}).inject(t);
			/* <<<<<<<<<<<<<<<<< */

			return false;
		},

		cancel: function (e) { e.stop();
			this.initial.replaces(this.target);
			this.initial.set('id', 'city');
		},

		update: function (e) { e.stop();
			this.target.setStyle('position', 'relative');
			new Element('div', {
				styles: { position: 'absolute', width: '100%', height: '100%', left: 0, top: 0, background: '#fff' }
			}).set('opacity', .7).inject(this.target);

			new Request({
				url: '/private-v2/profile/ajax-change-city',
				data: { city_id: this.city.get('value') },
				onSuccess: function (resp) {
					resp = JSON.decode(resp, true);
					if ( ! resp.status || resp.status != 'ok' ) {
						//alert('An unexpected error occured');
					}
					else {
						this.initial.getElement('strong').set('html', resp.city);
					}

					DisplayAddress();
					this.cancel({ stop: function () {} });
				}.bind(this)
			}).send();
		}
	};

	var fetchCities = function (select, country_id) {
		select.set('disabled', 'disabled');
		new Request({
			url: '/<?= Cubix_I18n::getLang() ?>/geography/ajax-get-cities',
			data: { country_id: country_id },
			onSuccess: function (resp) {
				resp = JSON.decode(resp);

				resp.data.each(function (c) {
					new Element('option', {
						html: c.title + '&nbsp;&nbsp;',
						value: c.id,
						selected:  null
					}).inject(select);
				});
				select.set('disabled', '');
			}
		}).send();
	};

	var ZipCode = {
		el: null,
		initial: null,
		target: null,
		zip: null,

		change: function (el) {
			el = $(el);

			var t = this.target = el.getParent('div');
			this.initial = t.clone();

			t.empty();
			/* >>>>>>>>>>>>>>>>> */
			var input = this.zip = new Element('input', { type: 'text', 'class': 'txt', size: 6, value: this.initial.getElement('strong').get('html') }).inject(t);

			el.setStyle('display', 'none');

			new Element('br').inject(t);

			var btnUpdate = new Element('a', {
				href: '#',
				html: 'update',
				events: { click: ZipCode.update.bind(this) }
			}).inject(t);

			new Element('span', {
				html: '|',
				styles: { margin: '0 5px' }
			}).inject(t);

			var btnCancel = new Element('a', {
				href: '#',
				html: 'cancel',
				events: { click: ZipCode.cancel.bind(this) }
			}).inject(t);
			/* <<<<<<<<<<<<<<<<< */

			return false;
		},

		cancel: function (e) { e.stop();
			this.initial.replaces(this.target);
			this.initial.set('id', 'zip');
		},

		update: function (e) { e.stop();
			this.target.setStyle('position', 'relative');
			new Element('div', {
				styles: { position: 'absolute', width: '100%', height: '100%', left: 0, top: 0, background: '#fff' }
			}).set('opacity', .7).inject(this.target);

			new Request({
				url: '/private-v2/profile/ajax-change-zip',
				data: { zip: this.zip.get('value') },
				onSuccess: function (resp) {
					resp = JSON.decode(resp, true);
					if ( ! resp.status || resp.status != 'ok' ) {
						//alert('An unexpected error occured');
					}
					else {
						this.initial.getElement('strong').set('html', resp.zip);
					}

					this.cancel({ stop: function () {} });
				}.bind(this)
			}).send();
		}
	};

	var country = '<?= Cubix_Geography_Countries::getTitleById($cities_tab['country_id']) ?>';

	var DisplayAddress = function () {
		var zp = $('zip'), ct = $('selected'), street = $$('input[name=street]')[0], street_no = $$('input[name=street_no]')[0];
        zip = null;
        city = null;
        if($defined(zp)){
            if ( zp.get('value') ) {
                zip = zp.get('value');
            }
        }

        if($defined(ct)){
            if ( ct.getElement('select') ) {
                city = ct.getElement('select').getSelected()[0].get('value');
            }
        }
        


		


		var address = [zip, street.get('value'), street_no.get('value'), city, country].join(' ');

		googleMapsShowAddress(address);
	};
	
	var ChangeBtnStatus = function()
	{
		var old_prefix = $('old_phone_prefix').get('value');
		var old_phone = $('old_phone').get('value');
		var  new_phone =$('phone').get('value');
		var number_pattern =/^[0-9]{7,14}$/;
		var new_prefix = $('phone_prefix').getSelected()[0].get('value').split('-')[0];
		if(old_prefix!=new_prefix)
		{
			$('change_phone').setStyle('display','inline-block');
		}
		else if(old_phone==new_phone && old_prefix==101)
			$('change_phone').setStyle('display','none');

		if(new_prefix!=''  && number_pattern.test(new_phone)  && (old_phone!=new_phone || old_prefix!=new_prefix))
		{	
			$$('#phone,#phone_prefix').removeClass('invalid');
			$('change_phone').setStyles({'opacity':1,'cursor':'pointer'}).set('disabled','');
		}
		else
		{	if(new_prefix=='')
				$('phone_prefix').addClass('invalid');
			else
				$('phone_prefix').removeClass('invalid');
			if(!number_pattern.test(new_phone))
				$('phone').addClass('invalid');
			else
				$('phone').removeClass('invalid');
			
			$('change_phone').setStyles({'opacity':0.5,'cursor':'default'}).set('disabled','disabled');	
		}
	}
	var ChangePhone = function(){
		if($('change_phone'))
			$('change_phone').addEvent('click', function(e){
				if($(this).get('disabled')=='' && confirm("<?= $this->t('Confirm_change_phone_text') ?>"))
				{	
					SendCode(true,true);
				}
		});
		
	}
	var SendCode = function(async,show)
	{
		new Request({
			url: '/private-v2/profile/send-sms',
			type:'POST',
			data:{'phone':$('phone').get('value'),'prefix': $('phone_prefix').getSelected()[0].get('value')},
			async:async,
			onSuccess: function (resp) {
				if(resp && show)
				{	if(resp>0)
					{
						Cubix.RPopup.url ='/private-v2/profile/get-change-phone-view';
						Cubix.RPopup.type = 'report-problem';
						Cubix.RPopup.location = 'phone_container';
						Cubix.RPopup.Show(340,0,function(){
							
								var tip =  new Controls.Tip;
								tip.attach($$('#confirm>.tip')[0]);
								
								$('countr_code').set('value',$('phone_prefix').getSelected()[0].get('html'));
								$('new_phone').set('value',$('phone').get('value'));
								
								$('resend_code').addEvent('click',function(){
									if(!overlay)
									 overlay = new Cubix.Overlay($$('.RPopup-wrapper')[0], { loader: _st('loader-circular-tiny.gif'), position: '50%' });
									 overlay.disable();
									 SendCode(false,false);
								});
								
							ConfirmCode();
						});
					}
					else
					{
						 new Element('div',{'class':'error','html':resp}).inject('phone_container','after');
					}
				}
				else if(resp && !show)
				{
						setTimeout(function(){overlay.enable();},1500);
				}
			}
		}).send();
	}
	var ConfirmCode = function()
	{
		$('confirm_btn').addEvent('click',function(){
			var code = $('confirm_number').get('value');
			var number_pattern =/^[0-9]{4,6}$/;
			if(!number_pattern.test(code))
			{
				 $('confirm_number').addClass('invalid');
				 return false;
			}
			else
				 $('confirm_number').removeClass('invalid');
			 new Request({ 
				url: '/private-v2/profile/confirm-sms',
				type:'POST',
				data:{'code':code},
				onSuccess:function(resp)
				{	
					if(resp && resp=='1')
					{
						$('confirm_number').removeClass('invalid');
						alert("<?= $this->t('Confirm_number_success')?>");
						
						setTimeout(function(){
						$$('.RPopup-wrapper .close-btn-x').fireEvent('click')
						//document.location.href=document.location.href;
						},1000);
					}
					else
					{
						$('confirm_number').addClass('invalid');
					}
				}

			}).send();
		});
	}
</script>
